<?php


use App\Http\Controllers\Backend\Payments\PaymentController as AdminPaymentController;
use App\Http\Controllers\Backend\Payments\PaymentTransactionController as AdminPaymentTransactionController;
use Illuminate\Support\Facades\Route;

Route::prefix("payments")->name("payments.")->group(function (){
    Route::get("/",[AdminPaymentController::class,'index'])->name("index");
    Route::get("dt-list",[AdminPaymentController::class,'dtList'])->name("dt-list");
    Route::post("dt-edit",[AdminPaymentController::class,'dtEdit'])->name("dt-edit");

    Route::prefix("transactions")->name("transactions.")->group(function (){
        Route::get("dt-list",[AdminPaymentTransactionController::class,'dtList'])->name("dt-list");
        Route::post("dt-edit",[AdminPaymentTransactionController::class,'dtEdit'])->name("dt-edit");
    });
});
